%global forgeurl https://github.com/cmadamsgit/%{name}
%global commit 1d0542623e8ca3ac12f77592a0ece35d09e75409
%forgemeta

Name:		nagios-plugins-cmadams
Summary:	Miscellaneous Nagios plugins
Version:	0
Release:	0.1%{?dist}
URL:		%{forgeurl}
Source:		%{forgesource}
License:	GPLv3
BuildArch:	noarch
BuildRequires:	perl-generators perl-podlators
Requires:	perl-interpreter >= 5.26.0
# check_cert
Recommends:	perl(Net::FTP) perl(Mail::IMAPClient) perl(Net::LDAP) perl(Net::POP3) perl(Net::SMTP)
# check_chrony
Recommends:	/usr/bin/chronyc
# check_smtp_msg
Recommends:	perl(Authen::SASL) perl(IO::Socket::SSL)

%description
These are some useful Nagios monitoring plugins:

- check_cert: This plugin makes an SSL/TLS connection to the specified
  server/port, validates the cert, and warns/errors on the number of
  days until the cert expires. It can be set to check an RSA or ECDSA
  cert, and can check some types of connections using STARTTLS.

- check_chrony: This plugin checks the selected chrony NTP server using
  the "chronyc" command line client.

- check_smtp_msg: This plugin makes a connection to an SMTP server,
  sends a message, and checks the result.

%prep
%forgesetup

%build

%install
install -D -m0755 check_cert %{buildroot}%{_libdir}/nagios/plugins/check_cert
install -D -m0755 check_chrony %{buildroot}%{_libdir}/nagios/plugins/check_chrony
install -D -m0755 check_smtp_msg %{buildroot}%{_libdir}/nagios/plugins/check_smtp_msg

%files
%license LICENSE
%doc README.md
%{_libdir}/nagios/plugins/check_cert
%{_libdir}/nagios/plugins/check_chrony
%{_libdir}/nagios/plugins/check_smtp_msg

%changelog
* Tue Feb 07 2023 Chris Adams <linux@cmadams.net> 0-0.1
- initial package
